Skip to main content
Monitoring & Collection/Zaku
GETZakuSince 1.0SynchronousAuth Required

ListGPUPools

List all GPU pools within a specified Kubernetes cluster

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • clusterUuidStringRequired

    UUID of the cluster whose GPU pools are to be listed

Responses

200 OK

On success, this API returns the following response structure.

  • itemsList

    Collection of result items

    Example: (nested array)

    • uuidString

      Unique identifier of the GPU pool

      Example: pool-gpu-001

    • platformIdString

      Platform ID this GPU pool belongs to

      Example: plat-001

    • clusterUuidString

      UUID of the cluster this GPU pool belongs to

      Example: cluster-abc123

    • zakuIdString

      Internal Zaku numeric identifier for this pool

      Example: 7

    • nameString

      Human-readable name of the GPU pool

      Example: A100-pool-01

    • gpuTypeString

      Type or model family of GPUs in this pool

      Example: NVIDIA A100

    • totalCountInteger

      Total number of GPU cards in this pool

      Example: 8

    • availableCountInteger

      Number of currently available GPU cards

      Example: 3

    • lastSyncAtString

      Timestamp of the last sync for this GPU pool

      Example: 2026-01-15T08:00:00Z

  • totalInteger

    Total number of GPU pools in the cluster

    Example: 3

  • limitInteger

    Page size used in this response

    Example: 20

  • offsetInteger

    Offset used in this response

    Example: 20

Endpoint

GET/api/v1/zaku/clusters/{clusterUuid}/gpu-pools

/api/v1/zaku/clusters/{clusterUuid}/gpu-pools

Operation ID

ListGPUPools

Permalink

Request Example

curl -X GET '{host}/api/v1/zaku/clusters/{clusterUuid}/gpu-pools' -H 'Authorization: Bearer {token}'

Response Example

200
{
  "items": [
    {}
  ],
  "total": 3,
  "limit": 20,
  "offset": 20
}

Change History

This API has no change history records yet.

View all change history